/*
lwlink.c
Copyright © 2009 William Astle

This file is part of LWLINK.

LWLINK is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <http://www.gnu.org/licenses/>.



*/

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#define __lwlink_c_seen__

#include <argp.h>
#include <errno.h>
#include <stdio.h>
#include <stdlib.h>

#include "lwlink.h"
#include "util.h"

int debug_level = 0;
int outformat = OUTPUT_DECB;
char *outfile = NULL;
char *scriptfile = NULL;

fileinfo_t **inputfiles = NULL;
int ninputfiles = 0;

void add_input_file(char *fn)
{
	inputfiles = lw_realloc(inputfiles, sizeof(fileinfo_t *) * (ninputfiles + 1));
	inputfiles[ninputfiles] = lw_malloc(sizeof(fileinfo_t));
	inputfiles[ninputfiles++] -> filename = lw_strdup(fn);
}

